import { createDefaultCoreModule as e, createDefaultSharedCoreModule as t } from "../../../../../langium/lib/default-module.js";
import { inject as n } from "../../../../../langium/lib/dependency-injection.js";
import { EmptyFileSystem as r } from "../../../../../langium/lib/workspace/file-system-provider.js";
import { AbstractMermaidTokenBuilder as i, CommonValueConverter as a, GitGraphGrammarGeneratedModule as o, MermaidGeneratedSharedModule as s, __name as c } from "./chunk-K5T4RW27.js";
//#region ../../node_modules/@mermaid-js/parser/dist/chunks/mermaid-parser.core/chunk-67CJDMHE.mjs
var l = class extends i {
	static {
		c(this, "GitGraphTokenBuilder");
	}
	constructor() {
		super(["gitGraph"]);
	}
}, u = { parser: {
	TokenBuilder: /* @__PURE__ */ c(() => new l(), "TokenBuilder"),
	ValueConverter: /* @__PURE__ */ c(() => new a(), "ValueConverter")
} };
function d(i = r) {
	let a = n(t(i), s), c = n(e({ shared: a }), o, u);
	return a.ServiceRegistry.register(c), {
		shared: a,
		GitGraph: c
	};
}
c(d, "createGitGraphServices");
//#endregion
export { u as GitGraphModule, d as createGitGraphServices };
